# -*- coding: utf-8 -*-
# vim: ft=yaml
---
# For help on this file's format, see https://kitchen.ci/
driver:
  name: docker
  use_sudo: false
  privileged: true
  run_command: /usr/lib/systemd/systemd

provisioner:
  name: salt_solo
  log_level: debug
  salt_install: none
  require_chef: false
  formula: salt
  salt_copy_filter:
    - .kitchen
    - .git
  pillars_from_directories:
    - test/salt/pillar

platforms:
  ## SALT `tiamat`
  - name: debian-11-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:debian-11
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: debian-10-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:debian-10
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: debian-9-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:debian-9
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: ubuntu-2204-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:ubuntu-22.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: ubuntu-2004-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:ubuntu-20.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: ubuntu-1804-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:ubuntu-18.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: centos-stream8-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:centos-stream8
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: centos-7-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:centos-7
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: amazonlinux-2-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:amazonlinux-2
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: oraclelinux-8-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:oraclelinux-8
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: oraclelinux-7-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:oraclelinux-7
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: almalinux-8-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:almalinux-8
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: rockylinux-8-tiamat-py3
    driver:
      image: saltimages/salt-tiamat-py3:rockylinux-8
    verifier:
      inputs:
        saltmajorversion: 3004

  ## SALT `master`
  - name: debian-11-master-py3
    driver:
      image: saltimages/salt-master-py3:debian-11
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: debian-10-master-py3
    driver:
      image: saltimages/salt-master-py3:debian-10
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: debian-9-master-py3
    driver:
      image: saltimages/salt-master-py3:debian-9
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: ubuntu-2204-master-py3
    driver:
      image: saltimages/salt-master-py3:ubuntu-22.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: ubuntu-2004-master-py3
    driver:
      image: saltimages/salt-master-py3:ubuntu-20.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: ubuntu-1804-master-py3
    driver:
      image: saltimages/salt-master-py3:ubuntu-18.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: centos-stream8-master-py3
    driver:
      image: saltimages/salt-master-py3:centos-stream8
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: centos-7-master-py3
    driver:
      image: saltimages/salt-master-py3:centos-7
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: fedora-36-master-py3
    driver:
      image: saltimages/salt-master-py3:fedora-36
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: fedora-35-master-py3
    driver:
      image: saltimages/salt-master-py3:fedora-35
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: opensuse-leap-153-master-py3
    driver:
      image: saltimages/salt-master-py3:opensuse-leap-15.3
    # Workaround to avoid intermittent failures on `opensuse-leap-15.3`:
    # => SCP did not finish successfully (255):  (Net::SCP::Error)
    transport:
      max_ssh_sessions: 1
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: opensuse-tmbl-latest-master-py3
    driver:
      image: saltimages/salt-master-py3:opensuse-tumbleweed-latest
    # Workaround to avoid intermittent failures on `opensuse-tumbleweed`:
    # => SCP did not finish successfully (255):  (Net::SCP::Error)
    transport:
      max_ssh_sessions: 1
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: amazonlinux-2-master-py3
    driver:
      image: saltimages/salt-master-py3:amazonlinux-2
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: oraclelinux-8-master-py3
    driver:
      image: saltimages/salt-master-py3:oraclelinux-8
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: oraclelinux-7-master-py3
    driver:
      image: saltimages/salt-master-py3:oraclelinux-7
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: arch-base-latest-master-py3
    driver:
      image: saltimages/salt-master-py3:arch-base-latest
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: gentoo-stage3-latest-master-py3
    driver:
      image: saltimages/salt-master-py3:gentoo-stage3-latest
      run_command: /sbin/init
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: gentoo-stage3-systemd-master-py3
    driver:
      image: saltimages/salt-master-py3:gentoo-stage3-systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: almalinux-8-master-py3
    driver:
      image: saltimages/salt-master-py3:almalinux-8
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: rockylinux-8-master-py3
    driver:
      image: saltimages/salt-master-py3:rockylinux-8
    verifier:
      inputs:
        saltmajorversion: 3004

  ## SALT `3004.1`
  - name: debian-11-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:debian-11
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: debian-10-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:debian-10
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: debian-9-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:debian-9
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: ubuntu-2204-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:ubuntu-22.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: ubuntu-2004-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:ubuntu-20.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: ubuntu-1804-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:ubuntu-18.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: centos-stream8-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:centos-stream8
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: centos-7-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:centos-7
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: fedora-36-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:fedora-36
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: fedora-35-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:fedora-35
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: amazonlinux-2-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:amazonlinux-2
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: oraclelinux-8-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:oraclelinux-8
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: oraclelinux-7-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:oraclelinux-7
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: arch-base-latest-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:arch-base-latest
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: gentoo-stage3-latest-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:gentoo-stage3-latest
      run_command: /sbin/init
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: gentoo-stage3-systemd-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:gentoo-stage3-systemd
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: almalinux-8-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:almalinux-8
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: rockylinux-8-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:rockylinux-8
    verifier:
      inputs:
        saltmajorversion: 3004

  ## SALT `3004.0`
  - name: opensuse-leap-153-3004-0-py3
    driver:
      image: saltimages/salt-3004.0-py3:opensuse-leap-15.3
    # Workaround to avoid intermittent failures on `opensuse-leap-15.3`:
    # => SCP did not finish successfully (255):  (Net::SCP::Error)
    transport:
      max_ssh_sessions: 1
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: opensuse-tmbl-latest-3004-0-py3
    driver:
      image: saltimages/salt-3004.0-py3:opensuse-tumbleweed-latest
    # Workaround to avoid intermittent failures on `opensuse-tumbleweed`:
    # => SCP did not finish successfully (255):  (Net::SCP::Error)
    transport:
      max_ssh_sessions: 1
    verifier:
      inputs:
        saltmajorversion: 3004

  ## SALT `3003.4`
  - name: debian-10-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:debian-10
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3003
  - name: debian-9-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:debian-9
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3003
  - name: ubuntu-2004-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:ubuntu-20.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3003
  - name: ubuntu-1804-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:ubuntu-18.04
      run_command: /lib/systemd/systemd
    verifier:
      inputs:
        saltmajorversion: 3003
  - name: centos-stream8-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:centos-stream8
    verifier:
      inputs:
        saltmajorversion: 3003
  - name: centos-7-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:centos-7
    verifier:
      inputs:
        saltmajorversion: 3003
  - name: amazonlinux-2-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:amazonlinux-2
    verifier:
      inputs:
        saltmajorversion: 3003
  - name: oraclelinux-8-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:oraclelinux-8
    verifier:
      inputs:
        saltmajorversion: 3003
  - name: oraclelinux-7-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:oraclelinux-7
    verifier:
      inputs:
        saltmajorversion: 3003
  - name: almalinux-8-3003-4-py3
    driver:
      image: saltimages/salt-3003.4-py3:almalinux-8
    verifier:
      inputs:
        saltmajorversion: 3003

verifier:
  # https://www.inspec.io/
  name: inspec
  sudo: true
  reporter:
    # cli, documentation, html, progress, json, json-min, json-rspec, junit
    - cli

suites:
  - name: default
    provisioner:
      state_top:
        base:
          '*':
            - salt._mapdata
            - salt.pkgrepo
            - salt.master
            - salt.minion
    verifier:
      inspec_tests:
        - path: test/integration/default
